Browse collections
curl --request GET \
--url https://api.inprocess.world/api/collectionsimport requests
url = "https://api.inprocess.world/api/collections"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.inprocess.world/api/collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"collections": [
{
"address": "0x06a701Ae65582B92Af48cDff45a8B20DcA3714cA",
"chainId": 8453,
"name": "My Collection",
"uri": "ar://1wMmKuaz-VdxmruOQJuYS-3nfU3zlNKmPNpc79Ou-qM",
"creator": {
"address": "0x4b4324bcC6dB9380ABBbbD20B24A16C11FB5B38A",
"username": "artist name 1"
},
"created_at": "2025-06-07T20:41:35+00:00",
"updated_at": "2025-08-12T12:28:41+00:00",
"protocol": "in_process"
}
],
"pagination": {
"page": 1,
"limit": 100,
"total_pages": 1
}
}{
"status": "error",
"message": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"status": "error",
"message": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}Collections
Browsing the Collections
Browse collections from the In•Process protocol. This endpoint can retrieve collections from a specific artist or browse the in•process collective collections, depending on whether the artist parameter is provided. Supports pagination for efficient browsing.
This is a public endpoint and does not require authentication.
Endpoint behavior:
- When
artistis provided: Returns collections from the specific artist (only collections created by that artist address). - When
artistis omitted: Returns collections from the in•process collective collections.
GET
/
collections
Browse collections
This endpoint is public and does not require authentication. You can browse collections without providing any authorization headers.
Query Parameters
Filter by artist address (collections created by this artist). When provided, returns the artist's collections. When omitted, returns the in•process collective collections.
Number of records per page (max: 100)
Required range:
1 <= x <= 100The page number to retrieve
Required range:
x >= 1Filter by chain ID. When omitted, returns moments from all production chains (Ethereum mainnet: 1, Base: 8453).
Example:
8453